Subject: Git commands version documentation

From: Hrushikesh Rao <[email-masked]>
Date: Mon, 23 May 2022 00:11:40 +0530

Hey,

I am working on git maintenance project in Jenkins. We are using 
git-maintenance to improve the performance of the git commands further 
improving the build speed. Git maintenance was added in git version 
2.30.0. The aim of the project is to also support systems having git 
version < 2.30.0. Few git maintenance tasks very available before the 
maintenance command was introduced i.e gc,commit-graph,gc and 
incremental repack. Is there a way for me to find out in which version 
these commands have been introduced? Based on this we can support legacy 
git version.

Waiting for your response.

Thank You

Hrushikesh Rao Naidnur